<script setup>
import { Page } from '@/app/core/pages/page';
import PageTitle from '@/app/components/blocks/PageTitle.vue';

import * as inputEnums from '@/app/enums/input';
import Input from '@/app/components/crud/particles/Input.vue';

import ProductsForm from '@/modules/exchange/components/excel/import/ProductsForm.vue';
import ShopsForm from '@/modules/exchange/components/excel/import/ShopsForm.vue';
</script>

<script>
export default {
    data() {
        return {
            page: new Page({
                context: this,
                title: this.__('EXCEL импорт'),
            }),
            type: null,
        };
    },
    created() {
        this.page.init();
    },
    mounted() {
        $('select[name="exchange-excel-import-type"]').on('change', () => {
            let type = $('select[name="exchange-excel-import-type"]').val();
            this.type = type;

            setTimeout(() => {
                $('select[name="exchange-excel-import-type"]').val(type);
            }, 0);
        });
    },
};
</script>

<template>
    <PageTitle :text="page.title" />

    <div class="card card-primary">
        <div class="card-body">
            <Input
                :item="{
                    label: __('fields->type'),
                    name: 'exchange-excel-import-type',
                    type: inputEnums.types.select,
                    options: {
                        items: (context) => ({
                            'products': context.__('Продукты'),
                            'shops': context.__('Магазины'),
                        }),
                    },
                    wrapperSize: inputEnums.wrapperSizes.xl,
                }"
            />
        </div>
    </div>

    <ProductsForm v-if="type === 'products'" />
    <ShopsForm v-else-if="type === 'shops'" />
</template>
